#!/bin/bash
set -e
trap "trap - SIGTERM && kill -- -$$" SIGINT SIGTERM EXIT

filename=`realpath ${1-bootstrap/bootstrap.m}`
source library.sh

echo "Compiling MvK server"
cd hybrid_server
${python} python_sccd_compiler/sccdc.py -p threads server.xml

echo "Starting MvK"
${python} run_mvk_server.py ${filename}
